Package org.springframework.core

# Class NamedInheritableThreadLocal<T>

java.lang.Object
java.lang.ThreadLocal<T>
java.lang.InheritableThreadLocal<T>
org.springframework.core.NamedInheritableThreadLocal<T>

Type Parameters:
  `T` - the value type

public class NamedInheritableThreadLocal<T> extends InheritableThreadLocal<T>
`InheritableThreadLocal` subclass that exposes a specified name as `toString()` result (allowing for introspection).

Since:
  2.5.2
Author:
  Juergen Hoeller
See Also:
  - `NamedThreadLocal`

## Constructor Summary

Constructors
Constructor
Description
`NamedInheritableThreadLocal(String name)`
Create a new NamedInheritableThreadLocal with the given name.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.InheritableThreadLocal

`childValue`

### Methods inherited from class java.lang.ThreadLocal

`get, initialValue, remove, set, withInitial`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NamedInheritableThreadLocal

public NamedInheritableThreadLocal(String name)
Create a new NamedInheritableThreadLocal with the given name.

Parameters:
  `name` - a descriptive name for this ThreadLocal

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`